package com.fs.live.service;

import java.util.List;
import com.fs.live.domain.LiveCouponUser;
import com.fs.live.param.CouponPO;

/**
 * 优惠券发放记录Service接口
 *
 * @author fs
 * @date 2025-09-30
 */
public interface ILiveCouponUserService
{
    /**
     * 查询优惠券发放记录
     *
     * @param id 优惠券发放记录ID
     * @return 优惠券发放记录
     */
    public LiveCouponUser selectLiveCouponUserById(Long id);

    /**
     * 查询优惠券发放记录列表
     *
     * @param liveCouponUser 优惠券发放记录
     * @return 优惠券发放记录集合
     */
    public List<LiveCouponUser> selectLiveCouponUserList(LiveCouponUser liveCouponUser);

    /**
     * 新增优惠券发放记录
     *
     * @param liveCouponUser 优惠券发放记录
     * @return 结果
     */
    public int insertLiveCouponUser(LiveCouponUser liveCouponUser);

    /**
     * 修改优惠券发放记录
     *
     * @param liveCouponUser 优惠券发放记录
     * @return 结果
     */
    public int updateLiveCouponUser(LiveCouponUser liveCouponUser);

    /**
     * 批量删除优惠券发放记录
     *
     * @param ids 需要删除的优惠券发放记录ID
     * @return 结果
     */
    public int deleteLiveCouponUserByIds(Long[] ids);

    /**
     * 删除优惠券发放记录信息
     *
     * @param id 优惠券发放记录ID
     * @return 结果
     */
    public int deleteLiveCouponUserById(Long id);

    List<LiveCouponUser> selectLiveCouponUserByCouponPO(CouponPO coupon);

    List<LiveCouponUser> curCoupon(CouponPO coupon);
}
